Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestRequest.TestRequestIconAnimator

    java.lang.Object
      com.eviware.soapui.impl.wsdl.support.ModelItemIconAnimator
          com.eviware.soapui.impl.wsdl.WsdlRequest.RequestIconAnimator
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequest.TestRequestIconAnimator

All Implemented Interfaces:
  SubmitListener, java.lang.Runnable

Enclosing class:
  WsdlTestRequest

    protected class WsdlTestRequest.TestRequestIconAnimator

extends WsdlRequest.RequestIconAnimator

Constructor Summary
`protected` | `WsdlTestRequest.TestRequestIconAnimator()`

Method Summary
`void` | `afterSubmit(Submit submit, SubmitContext context)` Called after submittal of a request
`boolean` | `beforeSubmit(Submit submit, SubmitContext context)` Called before submittal of a request

Methods inherited from class com.eviware.soapui.impl.wsdl.support.ModelItemIconAnimator
`getBaseIcon, getIcon, getIndex, getTarget, isEnabled, isStopped, run, setEnabled, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestRequest.TestRequestIconAnimator

    protected WsdlTestRequest.TestRequestIconAnimator()

Method Detail

### beforeSubmit

    public boolean beforeSubmit(Submit submit,
                                SubmitContext context)

  Description copied from interface: `SubmitListener`
  Called before submittal of a request

  Specified by:
    `beforeSubmit` in interface `SubmitListener`
  Overrides:
    `beforeSubmit` in class `WsdlRequest.RequestIconAnimator`
  Parameters:
    `submit` - the submit being submitted
  Returns:
    boolean telling if the submit should proceed.

### afterSubmit

    public void afterSubmit(Submit submit,
                            SubmitContext context)

  Description copied from interface: `SubmitListener`
  Called after submittal of a request

  Specified by:
    `afterSubmit` in interface `SubmitListener`
  Overrides:
    `afterSubmit` in class `WsdlRequest.RequestIconAnimator`
  Parameters:
    `submit` - the submit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.